BBBike RELEASE 3.19

bbbike (ptk)
- GPS route upload to mass device (USB) possible (Linux, Windows,
  FreeBSD, MacOSX)
- GPX files optionally with unicode arrows
- the draw above/below menu entries were removed (but still available
  via the new -obsolete option)
- use data tendencies in routing (currently only experimental and
  not enabled by default)
- penalty for unpaved streets (only available in advanced mode)
- bundle Tk::FreeDesktop::Wm, for better icon support with alpha
  channels

Data
- Berlin street data is complete (except for a handful of missing
  ones) --- now the main task is to keep the data up-to-date
- completed places outside of Berlin: Ahrensfelde, Hönow, Waldesruh,
  Mahlow-Waldstadt, Potsdam-Nord, Babelsberg-Nord and Potsdam-Eiche
- new data file handicap_directed: this is a powerful tool to specify
  many kinds of penalties: additional length not reflected in
  coordinates, additional traffic lights, penalty (time or category
  based) only valid in one direction, kerb support, different
  "vehicle" (cargo bike etc.) support... Currently only used in the
  ptk application.
- new data file for regularly happening trafficjams
- new data file for cul-de-sacs
- support for ropeways/aerialways: yes, there's now a Seilbahn in
  Berlin
- new directive "valid" (for records with a time-limited validity)
- new "osm_watch" directive
- experimental "tempex" directive (for recurring events, but not yet
  used in routing or rendering) 
- new directive "#: ignore"
- additional to the public fragezeichen list page, there's also a page
  with half-private questions (XXX list page)
- additional checks on data consistency (e.g. check_double -consecutive)

CGI
- QRCode for GPX tracks and leaflet map links (beta URL only)
- GooglePolylineEncoding support for image output (param gple)
- mapserver: support for version 6
- new psgi-based data download handler
- new api endpoint: config
- teaser for iPhone and WindowsPhone apps
- httpd.conf support for newer Apache 2.4.x
- bbbikeleaflet: templating, geojson(p) and initial layer support
- support "stacked" alternative route (Ausweichroute) flows
- bbbikegooglemap: switch to v3
- json, gpx and pdf files are now also cached (for performance)
- wapbbbike.cgi is now deprecated

BBBike@World integration
- bbbike_chooser with new button leading to extract.bbbike.org
- new helper garmin-upload-map.pl: upload extract.bbbike.org extracts
  to garmin device (only in git)

Modules
- new module Strassen::GeoJSON (and new helper script bbd2geojson, but
  this is only in git)
- routing is using Array::Heap by default (for better performance)
- bundled Doit.pm for some build and system tasks

Plugins
- new plugin BBBikeHistory (remember places on the map automatically)
- MultiMap maintenance (add/reactivate/remove a number of maps, e.g.
  new links to Mapillary, OpenStreetCam, FIS broker, dafmap, map compare
  gallery with distinct map data, OSM CycleMap ...)
- GeocoderPlugin may use a local osm directory (created by osm2bbd,
  with a sorted _addr file)
- new plugin: WaypointUploader

Install
- Windows package is using a newer Strawberry Perl version (5.26.x)

Documentation
- documented bbd directive changes

Misc
- bbbike may be run in a docker container (with miscsrc/docker-bbbike
  gui, only in git)
- many updates to bbd2osm and osm2bbd converters (only in git)
- alternative deployment script for blue-red git deployments
- better scripts for creating OS packages & installers (Debian,
  Windows)
- new garmin custom symbols
- BBBikeOsmUtil: Overpass API implementation
- support for generating maps for CPAN modules Map::Tube and
  Map::Metro (only in git)
- removed code related to cgpsmapper

Tests
- regular CI tests with travis-ci and appveyor
- docker-based tests
- more automated GUI testing
- and general improvements of tests

----------------------------------------------------------------------

BBBike RELEASE 3.18 (2013-03-16)

bbbike (ptk)
- "modern temp blockings"
- correct rendering of subway stations under construction
- render support for tunneled waterways (e.g. Südpanke)
- direct garmin gps export is using routepoints instead of waypoints
- more map signatures (e.g. "night" signature, cemetery religion
  symbols, ortsschild, zebrastreifen, culdesac...)
- more accelerator keys

Data
- many updates, currently more than 11500 streets in Berlin (more than
  3000 new streets since last release, now Berlin is almost complete!)
- new category NH for streets (highway=tertiary) is now activated
- seasonal ferries are marked like this (with entries in temp
  blockings)
- a public fragezeichen list page is maintained
- more experimental winter optimization work (but currently disabled)

CGI
- new application based on the leaflet map API (bbbikeleaflet.cgi)
- m.bbbike.de, a slightly mobile-optimized version of bbbike.de
- changes available maps in bbbikegooglemap.cgi (removed T@H, added
  BBBike/Mapnik)
- support for "umdrehen"/"turn around" (Route::Descr)
- PDFs are now created using cairo and pango libraries
  (Route::PDF::Cairo, BBBikeDraw::PDFCairo)
- kml files are now cached (for performance)
- mapserver: using now version 5.6.5
- cgi may run also as a plack application (bbbike.psgi)
- added json as an output format for API calls
- link to gpsies.com
- "use ferry" preference
- fixes for MSIE 8

BBBike@World integration
- added script for downloading from other city data from bbbike.org
- bbbike_chooser may use the new bbbike.org_download script

Modules
- Update.pm: removed rsync capability
- Strassen::KML improvements (both parsing and generation)

Plugins
- plugins are now organized in "plugins" subdirectory
- new plugins (previously only available from git):
  - AltBerlin (link in info window to alt-berlin.info)
  - Kauperts (link in info window to kauperts.de)
  - Merkaartor (start merkaartor or josm)
  - MultiMap (links to many map providers)
- geocoding plugin supports now the new Google v3 API
  (which does not need an API key anymore)
- BBBikeViewImages plugin improvements
  - exif viewer (needs external program exiftool)
  - Control-e (edit) binding for starting gimp, and many other key
    bindings
  - support for GraphicsMagick and Eye of GNOME
- new plugins connecting to Flickr and Panoramio APIs (only in git)

Install
- Windows package is now using a modern Strawberry Perl version
  (5.14.x)

Documentation
- the TODO.pod file was out-of-date and finally removed

Misc
- updates to bbd2osm and osm2bbd converters (only in git)
- updates to mkgmap style (only in git)
- geocode_images improvements (only in git)
- experimental support for multi-page PDFs

Tests
- regular nightly smokes

----------------------------------------------------------------------

BBBike RELEASE 3.17 (2010-03-20)

bbbike (ptk)
- new search settings: child seat, trailer
- visualization of impossible passings with trailers
- better street labelling, but only in "lazy" mode and on X11 and with
  Perl/Tk built with XFT=yes
- improvements for BBBike @ World (OpenStreetMap) data
- new weather sources: metar data (enabled only in git version)
- experimental tram railway optimization (only in advanced mode)
- "fragezeichen" layer is available also in non-advanced mode
- some work on winter optimization
- various bugfixes

Data
- many updates, currently more than 8400 streets in Berlin
- the "kneipen" file is now deprecated (because not maintained for a
  long time)
- new file routing_helper-orig (routes which are "invisible" on the map)
- new file ortsschilder
- new category NH for streets (not completely activated)

Modules
- some improvements on PDF creation
- create maps using Google Maps Static API
- removed interface to berliner-stadtplan.com

Plugins
- some work on geocoding plugin (e.g. added Cloudmade and Bing interfaces)
- osm plugin for downloading and displaying OpenStreetMap data
  (only in git version)
- fixes for Panoramio plugin (because of API changes)
- MultiMap additions: link to Map Compare by Geofabrik
- new FahrinfoQuery plugin (only in git version)
- new Kauperts plugin (only in git version)

Install
- Windows package is now using a modern Strawberry Perl instead of the
  old SiePerl 5.6.1. Also included is gpsbabel for easier pushing of
  routes to a GPS device.

CGI
- new search settings: child seat, trailer
- bbbikegooglemap has support for OpenStreetMap-based maps
  (mapnik, cycle, tiles@home)
- bbbikegooglemap uses now GMap API v2 and enables wheelmouse zooming

Misc
- bbbike source code moved to github: http://github.com/eserte/bbbike
  The old CVS repository is still updated from time to time.
- more complete and faster implementation of osm2bbd, the OpenStreetMap
  to BBBike data converter (only in git)
- gpx2bbd is faster (only in git)
- bbd2kml (only in git)
- very experimental work on a real navigation system with speech support
  (only in git)

----------------------------------------------------------------------

BBBike RELEASE 3.16 (2008-01-24)

bbbike (ptk)
- info window: better organization of external links (now with right click
  menu), new link to Wikipedia Mapsources
- new export formats: GPSman route (as opposed to GPSman track), KML
- GPX route output is now "intelligent" (limit max. number of points
  in route, shorten waypoint names etc.)
- nicer bridge and tunnel drawings
- label visibility fixes while zooming (but still not perfect)
- balloon info now with information for all layers below
- dragging is now more natural, no extra mode needed
- alarm feature with bluetooth transfer (e.g. for mobile phones, only Linux and
  FreeBSD)
- full text search now callable from "File" menu
- full text search also uses aliases
- overview map with routes
- new option -texteditor
- fixes for forthcoming perl version 5.10.0
- fixes for 64bit platforms
- bug fixes (e.g. font size now always correct, better Win32 icon - up
  to 64x64 pixels)
- fixes for KDE support
- fixes and more support for MacOSX
- use current locale for console messages (only with very new perls)
- cache directory is now per-user (better for root installs)

Data
- thanks to Andreas Titz Oranienburg is now nearly complete
- as usual, much more data
- corrected place categories (by comparing to Wikipedia entries)
- more cycle routes
- new map data: border crossings (between Germany and Poland)
- new map signatures: theater, museum, road numbers (Bundesstraße,
  Autobahn ...)
- more map images for sights (some originals contributed by Robert Joop)
- some map signatures are now in PNG rather than GIF (better alpha support)
- some source data files are now in utf-8, allowing for real
  Polish names, though generated data files are still iso-8859-1
- cafes/bars layer marked as unsupported
- more bbd directives like listing_sort, corrected_by, category_color ...
- bbd: category tendencies (Q1+ ...) used in source files (but not in cooked
  data files yet)
- sbahn and other layers with tunnel signatures
- rbahn now with more subcategories: Güterbahn, Parkbahn, inaktiv, in Bau
- using better convert from source files which can preserve some
  directives like aliases (see above for full text search)
- beginning support for WGS84 in data files

Modules
- new BBBikeDraw module for BBBikeGoogleMaps
- new: PLZ::Levenshtein (but not yet used)
- new: MacOSXUtil
- PDF output:
  better labelling
  support for compressing prepared (needs pdftk)

Plugins
- nicer and more comfortable plugin lister
- new Plugins for accessing Multimap, GoYellow.de, Luise-Berlin,
  geocaching.com, dein-plan.de, BVG, OpenStreetMap, WikiMapia (only in CVS)
- new Plugin for geocoding (using Yahoo or Google)
- new features for ViewImages plugin (only in CVS)
- new TransparentCanvas plugin (only in CVS)
- some plugins are not functional anymore and disabled for now:
  FahrinfoRealtime, maps.live.com

Install
- updated installer for newer KDE/GNOME

CGI
- larger overview map (including Nauen, Oranienburg, Strausberg, KW)
- english translation of the website (expect info page)
- better Google Maps support
  comments may be send via an ajax form
  no more doubleclicks necessary for creating route manually
  use nicer icons and cursors
  show temporary blockings
  may show both current and former route simultaneously
  geocoding field
- opensearch support (initial work by Wolfram Schneider)
- removed www.berliner-stadtplan24.com support because the route transfer
  does not work anymore
- slightly more modern HTML (e.g. better CSS)
- Mapserver interface polishing
- KML export (only in beta)

Misc
- script for converting openstreetmap (osm) data to bbbike format (CVS only)
- support for converting data to cgpsmapper (CVS only)
- new script for converting anything to bbd (CVS only)
- script for geocoding photos (CVS only)
- included some new documentation files (HOWTO_edit_bbbike_data.html,
  qualitaetskategorien.html)

----------------------------------------------------------------------

BBBike RELEASE 3.15 (2005-12-11)

bbbike (ptk)
- added "draw additional layers" pseudo icon
- reordered "edit" menu, some new features and fixes in editing
- "fragezeichen" layer accessible with -advanced
- new menu item Landstraßen > Radwege im Umland
- new export formats: BBD, ESRI
- add custom layers for searching
- fixed DnD in layer reordering for Tk804
- info window: link to Google Maps, show more coordinate systems
- new Plugin for accessing Luise-Berlin information (only in CVS)
- using better (?) Dialog implementation and avoid some memory leaks
- removed plethora of buttons in Tk::Getopt option editor
- fixed problem in perl-GPS interface where only one upload could be
  done (Windows, Linux USB connections) 
- WWW click mode (for map objects with URLs)
- more options in full search dialog (regexp/glob, focus handling,
  category/dist/normal sorting)
- many bugfixes

Data
- Berlin, innerer S-Bahnring: komplett! (Thanks to Andreas Mühlhausen)
- new layers: freeways (Autobahnen, rather complete in
  Berlin/Brandenburg) and comments_scenic (with no data yet)
- new map signatures: orchards, industrial, mosques, cemeteries ...

Modules
- Salesman: support for tsplib files
- various modules have GPX support now

Install
- Bugfix for Windows installer (shortcuts did not work for installations in
  "C:\Program files")
- Support for building Debian packages (only in CVS)

CGI
- links to "beta" version of bbbike.cgi
- Google Maps support (only in beta)
- Mapserver: Radrouten layer (with a linked list)

Misc
- new documentation: HOWTO_edit_bbbike_data (only in CVS)
- update of old bbbike, bbd etc. documentation

----------------------------------------------------------------------

BBBike RELEASE 3.14 (2005-04-30)

bbbike (ptk)
- reduced number of option editor buttons
- fixed some zoom problems (place labels, start/via/goal flags)
- some other bugfixes
- new -lazy option for lazy drawing of layers
- added more options (some jwd layers, -sehenswuerdigkeiten, -labelfontheight,
  -maximized, -b2mode, -stderrwindow)
- full text search in menu
- "fahrradfreundliche Bahnhofszugänge"
- svg export (in advanced mode)
- switching between landscape/portrait now only in advanced mode
- better slope calculation
- "Zugbruecke" icon
- optional automatic drawing of temporary blocked streets (-tempblockings
  option)
- personal place: new "show all" checkbutton
- the shortcut for quit changed from q to Control-q
- new shortcut for search: /
- draw additional layers: now with an extra dialog for setting line width etc.
- experimental support for .e00 data
- updating data via internet now really works
- nicer info window
- nicer drawing of well-known cycle routes
- pdflatex output uses a sans serif font
- win32s support has gone
- help menu: new items Copyright and Changes, "Reset busy" has gone
- workaround for no-mod bindings

Data
- about 600 more streets in Berlin
- more streets in Brandenburg
- Berlin-Kreuzberg is complete (except for some dead end streets), large
  parts of southern Friedrichshain and Mitte and northern Neukoelln are
  also complete
- comments splitted into comments_cyclepath, comments_ferry, comments_misc,
  comments_mount, comments_path, comments_route, comments_tram, and
  comments_kfzverkehr (the last one is new)

Modules
- BBBikeDraw::* is now (often) faster due to usage of grids
- VectorUtil::Inline is now an XS module (not Inline::C anymore)
- support for reading MapInfo files

Misc
- improved bbd documentation (with new directives)
- more and better tests
- wapbbbike: get handset profile automatically if needed

Install
- Windows uses now the inno setup installer

CGI
- new forms for inputting data (missing streets, additional comments)
- experiments: winter_optimization, optionally using "fragezeichen" data

----------------------------------------------------------------------

BBBike RELEASE 3.13 (2004-01-17)

bbbike (ptk)
- support for Tk804.025
- new "green routes", "secondary road/cycle path" (N-RW) and
  "unbeleuchtete Straßen meiden" optimizations
- synop weather stations
- using Astro::Sunrise for sunset calculations
- -autosave is now on by default
- info: link to local/global mapserver
- mousewheel support
- -printbackend option may be ps or pdf, fallback on Windows to pdf
- internal reorganization (more autouse'd functions, BBBikeGlobalVars ...)
- -gpsdevice: better defaults for Win and Linux
- "Route speichern als": more entries formerly only in -advanced mode available
- numerous bugfixes and little improvements

Modules
- Mature MapServer support. May be used standalone, from the CGI, or for
  various map generating tasks
- BBBikeDraw: support for SVG::GD
- new: GPS::MPS, GPS::WaypointPlus
- BBBikeGPS: renovation (better graph and route output)

Plugins
- fix: prevent multiple plugin buttons for the same plugin

Data
- various updates and fixes, new data
- beginning "brunnels" support (not used in any code for now)
- using forwardcat;backwardcat syntax in category nearly everywhere
  (see bbd.pod)

Install

CGI
- www.bbbike.de now points to the CGI at www.radzeit.de
- MapServer support
- show route on maps from www.berliner-stadtplan.com
- optional support for faster C-A*-2 algorithm
- optional and partial support for CGI::Compress::Gzip

Misc
- major wapbbbike overhaul
- wapbbbike now uses MapServer output for map generation if possible, maps
  for each hop available
- documented CVS repository access
- more tests (only available through the CVS repository)

----------------------------------------------------------------------
BBBike RELEASE 3.12 (2003-01-08)

bbbike (ptk)
- new menu for search preferences
- "sights" now main icon instead of "kneipen"
- appearance approvements (ferry icon, outlines for U- and S-Bhf.
  labels, labels for areas, improved stacking order)
- binding fixes
- new menu entries (e.g. alarm list, delete user deletions,
  statistics, obey oneway strictly)
- support for PNG images
- new options (-focuspolicy, -algorithm, -layers)
- improved additional layer support (menu is now publicly available)
- show/set reference power/speed from enter_speed/power window
- position is preserved while zooming
- automatic hiding of U-/S-Bahn labels
- via support (add, del, move vias, see also BBBikeVia.pm)
- another english translation update
- internal: transition to full Tk::Getopt support
- bug fixes

Modules
- Strassen::Inline: faster search (now using heaps)
                    use hypot function
- compatibility fixes for 5.8.0
- BBBikeRouting.pm is getting more mature, support for Strassen::Dataset
- Strassen::Util: removed old and slow FreezeThaw code
- experimental integer sqrt code in BBBikeXS.xs (may be faster on
  machines without a FPU)
- changed return value in Strassen::all_crossings
- Strassen::*: more cache support. CDB caches use now
  Storable::nfreeze (shorter files).
- new module BBBikeStats: make statistics and pie charts for routes
- BBBikeAdvanced: new penalty type "bbd file"
  penalties are now moved to the "Search settings" menu
- new module: Strassen::Stat (used in bbbike's info command)
- new module: Strassen::DB_File_Btree (btree version of Strassen::CORE)
- new module: Strassen::Lazy (load Strassen::Core module lazily)
- new draw types in BBBikeDraw: R-Bahn, U-Bhf. labels, S-Bhf. labels
- PDF output: new automatic mode (either landscape or portrait)
- GD.pm: some methods now in GDHeavy.pm
- Karte::UTM improvements
- BBBikeESRI is now more efficient
- new: BBBikeVia.pm
- TelbuchDBApprox.pm improvements
- Berlin_DE.pm: new function get_all_subparts
- new widget Tk::Ruler
- Strassen::Core: Object::Iterate support
- new: HouseNumbers.pm
- Update.pm: now also rsync possible (but not yet tested)
- beginning MapServer support (for the cgi and a standalone mapserver)
- bug fixes

Plugins
- Salesman: new cancel button
- new plugin: Scribble
- BBBikeRuler: show more: height and grade, manhatten distance, time
  etc.
  new circle menu
- improvements in GelbeSeitenPlugin.pm (still not public yet)
- bug fixes

Data
- various updates and fixes, new data
- first thoughts on a "housenumbers" file

Install
- no changes

CGI
- using inaccessible_strassen database
- favicon.ico for Mozilla
- support for pdf-auto
- info page with browserinfo
- no more links to www.stadtplandienst.de (blame them :-( )

Misc
- more tests (t/bbbikerouting.t, ext/Strassen-Inline/t/*, t/dataset.t, ...)

----------------------------------------------------------------------
BBBike RELEASE 3.11

bbbike (ptk)
- new map modes: custom choose, dragging (with button)
- more GPS export modes
- support for multiple additional layers
- Salesman is now a plugin
- new plugin: BBBikeRuler
- star photo for sehenswuerdigkeiten
- landstrassen with Straßennamen and -nummern
- user-defined blockings
- new options: -plugin
- translated some internal function and variable names to English
- bug fixes

Modules
- split Strassen.pm into nine modules
- Telefonbuch2001: new implementation with "telekom" script
- KDEUtil: some fixes for KDE2
- BBBikeEdit: new features in draw_track_graph, editing GPSMAN points
- new: GPS::SerialStty
- various bug fixes

Data
- major additions and changes (e.g. S-Bahn)
- existing data is checked by using a GPS receiver

Install

CGI
- support for temporary blockings
- use Apache::Session if available

Misc
- fixes in runbbbikecgi

----------------------------------------------------------------------
BBBike RELEASE 3.10

bbbike (ptk)
- support for personal places (only with -advanced option)
- better busy cursor implementation (workaround bugs in Perl/Tk)
- draw nolighting, "vorfahrt" and narrowpassage data
- more complete legend (F1 key)
- info window: link to www.stadtplandienst.de and polar coordinates
- draw gpsman tracks (only with -advanced)
- advanced mode: new penalties in search: avoid gps tracked routes, avoid
  route for way back. Better support for user defined penalities.
- menu for Button-2 modes
- "options" is now also in the menubar
- improvements in the edit interface (relationship editor, street editor)
- moved some legacy code to TkCompat.pm
- many bug fixes and improvements

Modules
- new module Strassen::Inline with two new C implementations of search
  routine
- new module Strassen::Build for building mmap-file for second C
  implementation
- Strassen::Ext: new sort_by_cat method
- new module BBBikeRouting, replaces old cmdbbbike script/module
- many bug fixes and improvements
- new GPS related modules (but only activated in -advanced mode):
  GPS::GpsmanData (create/read data files for the gpsman application) and
  GPS::DirectGarmin (upload tracks directly to the Garmin, but only with
  a patched perl-gps distribution)
- new experimental BBBikeDraw::ImageMagick module (as an alternative for
  BBBikeDraw::GD, much slower, but nicer output)
- new BBBikeDraw::SVG module
- Karte::Polar: conversion functions for ddd <=> dms
- new Karte::UTM module (still needs work)
- Tk::ColorFlowChooser and Tk::PathEntry in distribution
- PLZ: better handling of gzipped files

Data
- new file gesperrt_car (blocked streets for cars only)
- new file nolighting (unbeleuchtete Straßen)
- updates

Install
- SiePerl 5.6.1 is used for the Windows distribution

CGI

Misc
- wapbbbike, smsbbbike, cmdbbbike, and tkbabybike now use BBBikeRouting.pm
- documentation for BBBikeRouting

----------------------------------------------------------------------
BBBike RELEASE 3.09

bbbike (ptk)
- new edit menu (only in -advanced mode)

Modules
- Strassen.pm: do not use Text::ScriptTemplate anymore, because it's
  crashing perl 5.6.1!
- new module Karte::Cityinfo

Data
- some minor additions

Install

CGI
- settings are now changeable in result page

Misc

----------------------------------------------------------------------
BBBike RELEASE 3.08

bbbike (ptk)
- support for "plugins"
- comments (path instructions) in the route list
- carry points are now handled in the route search algorithm (in both
  perl/tk version and cgi version)
- maps: works now also in non-standard coord systems
- icons for "in work" sections
- cursor images for all map modes
- new options -grademinimum, -grademinimumshort, -scaling, -handheld
- plot points: category IMG:.* recognized
- use default font size as base
- bugfixes

Modules
- new (plugin) module BBBikeThunder.pm
- better Tk::CanvasFig (former Tk::Fig) support
- Strassen.pm: exact grid calculation
- Berlin_DE.pm: supercityparts (neue Bezirke)
- canvas related methods now in Tk::CanvasUtil
- BBBikeDraw/GD.pm: new draw type potsdam
- PLZ.pm: umlaut approximation also without String::Approx/agrep
- lib/KDEUtil.pm: compatibility for KDE 2

Data
- data/hoehe-orig: additions in Brandenburg and Berlin from hm96 file
- misc data updates

Install

CGI
- new optimization option (Hauptstraßen ohne Radwege meiden)

Misc
- cmdbbbike: support for vehicle=pedestrian

----------------------------------------------------------------------
BBBike RELEASE 3.07

bbbike (ptk)
- using new Tk::FlatRadiobutton widget for some icons
- better GUI consistency: $map_mode variable replaces $search_flag and
  $special_mode
- map drag mode
- windrose button can be driven in two modes (RADIO or SCROLL, only settable
  in the program)
- better small display (e.g. 320x240) support
- new -exporttxtmode option (for G7toWin_ASCII support)

Modules
- StrassenNetz::route_to_name is created through a template
- the enum module is now bundled with bbbike

Data
- new radwege category RW7 (Zweirichtungsradweg)

Install

CGI
- ability to specify crossings in the inputs
- compability for new stadtplandienst query syntax
- fixing an unnecessary intermediate page (ZIP was already known, but again
  asked)
- accept path_info too (instead of only query_strings)
- better bbbike_sidebar.html

Misc
- bug fixes
- There is a babybike version of bbbike, which uses Gtk instead of Tk and run
  on Linux handhelds. It needs 64MB RAM machines. Please ask the author
  for a copy, this version is not included into this distribution.

----------------------------------------------------------------------
BBBike RELEASE 3.06

bbbike (ptk)
- using icons for mounts/descents
- prevent fonts from being to small
- edit mode:
  * F8/F9 calls editor (internal or emacsclient). Not yet documented.
  * switching radwege mode on/off is now faster
- internal cleanups (usage of your.pm etc.)

Modules
- ESRI modules are now perl 5.005 compatible
- Strassen.pm uses Text::ScriptTemplate

Data
- parts of the R-Bahn net updated
- misc data additions

Install
- minimal setup.exe for windows

CGI
- javascript for most browsers disabled
- multiple match display
- reordered information page

Misc
- bug fixes

----------------------------------------------------------------------
Former releases:

BBBike RELEASE 2.67 (2000-03-04): Last 2.xx version, use this with
very old perls and Tks.

BBBike RELEASE 2.48 (1998-08-01): First release with FreeBSD port.

BBBike VERSION 2.01 (1998-01-20): Renamed to "bbbike"
